stable
FEDORA-2017-32abf267d6 created by tkrizek 5 years ago for Fedora 26
  • rebuild against BIND 9.11.1
  • coverity fixes

How to install

sudo dnf upgrade --refresh --advisory=FEDORA-2017-32abf267d6

This update has been submitted for testing by tkrizek.

5 years ago
User Icon pbrobinson commented & provided feedback 5 years ago
karma

Tested on ARMv7 with bind-dyndb-ldap-11.1-4.fc26 and bind-9.11.1-1.P1.fc26 and it all looks fine

BZ#1465187 bind-dyndb-ldap needs rebuild against bind 9.11.1

This update has been pushed to testing.

5 years ago
User Icon adamwill commented & provided feedback 5 years ago

As it depends on FEDORA-2017-43613b15ff , this package should NOT have been submitted as a separate update but included in that update. Now, exactly the scenario we have that rule in place to avoid has happened: that update has been pushed stable but this one has not, and bind-dyndb-ldap is not installable from the stable F26 repo at this time. That prevents FreeIPA deployment from working and is hence a release blocking bug.

PLEASE remember the update policy rule about interdependent package updates:

https://fedoraproject.org/wiki/Updates_Policy#Updating_inter-dependent_packages

"When one updated package requires another (or more than one other), the packages should be submitted together as a single update."

Thanks.

User Icon adamwill commented & provided feedback 5 years ago

For clarity, it's really the responsibility of the person who submitted the bind update (that's @besser82 , in this case) to ensure all dependent packages are rebuilt and included in the update. I'm just noting the issue everywhere I can for safety.

User Icon adamwill commented & provided feedback 5 years ago
karma

Verified that this at least resolves the dependency issue and seems to work OK locally.

User Icon kevin provided feedback 5 years ago
karma
BZ#1465187 bind-dyndb-ldap needs rebuild against bind 9.11.1

This update has been submitted for stable by bodhi.

5 years ago

This update has been pushed to stable.

5 years ago
User Icon besser82 commented & provided feedback 5 years ago
karma

Works great! LGTM! =)


@adamwill: I'm really sorry, I overlooked the need for this to be in need for rebuild; usually I'm careful to rebuild all packages with dependencies before submitting an update…

BZ#1465187 bind-dyndb-ldap needs rebuild against bind 9.11.1

Please login to add feedback.

Metadata
Type
bugfix
Karma
4
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
3
Stable by Time
disabled
Dates
submitted
5 years ago
in testing
5 years ago
in stable
5 years ago
BZ#1465187 bind-dyndb-ldap needs rebuild against bind 9.11.1
0
3

Automated Test Results